/ Статьи / Пользова­тельское / Ищете Vimperator для Firefox 4.0 ? /

Ищете Vimperator для Firefox 4.0 ?

Дата публикации: Dec. 25, 2010, 7:09 a.m.
Теги: Vimperator, Firefox,
Автор: Brainsburn

Pentadactyl

И я ищу. Точнее, искал. На сайте Vimperator можно скачать версию 3.0 "для Firefox 4", но почему-то с Firefox 4 она и не работает. Совершенно случайно я обнаружил аддон, называемый непонятным для многих словом Pentadactyl. Pentadactyl - форк Vimperator-а, созданный многими основными его разработчиками, отделившимися от проекта (почему отделились, напишу чуть ниже). А самое главное - он отлично работает с FireFox 4 Minefield.

Итак, Pentadactyl - форк Vimperatora. Он точно такой же, вы не найдете практически никаких отличий. Как говорится в его about, Pentadactyl делается основными активными разработчиками, отделившимися от проекта Vimperator. Если это так, следует ожидать постепенной смерти известного имени. Сам аддон, впрочем, будет продолжать развиваться под новым названием.

Почему форкнули?

Говорится, что главный мейнтейнер проекта за многие годы очень мало сделал для проекта, но стал тайком ужимать денежные пожертвования от комьюнити, которые должен был делить между разработчиками. Вот они и подняли бунт и сделали революцию^Wфорк. Эх, где-то я такое уже видел...

В чем отличия?

На данный момент основное положительное отличие - поддержка Firefox 4. Ну и еще в том, что основные разработчики Vimperator-а перешли в Pentadactyl, т.е. он поидее должен развиваться быстрее, чем Vimperator.

Скачать/установить.

Домашняя страничка проекта: http://dactyl.sourceforge.net/pentadactyl/ , хотя установить Pentadactyl можно и через встроенный поиск аддонов в Firefox.






Возможно, эти материалы Вас заинтересуют:


Рекомендовать эту страницу:

Комментарии:(2)

# Тормоз April 25, 2011, 9:31 a.m.
Спасибо.

# yssarb April 27, 2012, 2:28 p.m.
Ищете Vimperator для Firefox 4.0 ?
А я ищу для Nightly 15.0a1 (2012-04-26).
Скачал Pentadactyl Nightly 2012-04-27 http://5digits.org/nightlies [5digits.org] (за 26 число скачать не могу - 404 Not Found).
Хочу установить, а firefox пишет:
Pentadactyl не может быть установлено, так как оно несовместимо с Nightly 15.0a1.
Как называется то дополнение, что бы убрать проверку на совместимость, или что нужно изменить в about:config??? firefox стал таким не удобным… Раньше, когда только прочитал эту статью думал что будет не удобно с Pentadactyl, а теперь наоборот, как привык - не могу без Pentadactyl!!!

Автору большое спасибо за статью!

Комментировать:

Гость, Вы можете оставить свой комментарий.

Стиль кода:
Имя
Сайт * не обязательное поле
Поставьте галку, если вы - бот
Поставьте галку, если вы - человек

Друзья! Убедительная просьба воздержаться от нецензурной лексики!



Справка:
Если вы хотите использовать в тексте комментария специальные символы, например, [ и ], используйте их внутри тега [code] [/code]
Вы можете использовать теги BBcode. Для оформления кода и подсветки синтаксиса используйте тег [code] или [code=название_языка], например, [code=python]
Ссылки вставляйте так: [url]zenux.ru[/url] или так: http://zenux.ru, но не так: zenux.ru
Текст сообщения должен быть в пределах 3000 символов.




Последние комментарии:

fanyit: Спасибо за обзор. очень полезно и доступно.... >>>
cheech: Спасибо, статья полезная )... >>>
Васёк: Коммент, расскажи про часы на стене капитану в оке... >>>
METAJIJI: Ах да, почему я начал вообще трогать urxvt, потому... >>>
METAJIJI: Вкладки как раз не феншуйные (штатный tabbed), они... >>>